ifeq ($(GVD_TESTS_PROJECT),)
GVD_TESTS_PROJECT=True

ifeq ($(BASE_DIR),)
   include ../../Makefile.common
   BASE_DIR=$(shell pwd)
   GVD_TESTS_ROOT=True
endif

GVD_TESTS_BASE_DIR := $(BASE_DIR)

BASE_DIR=$(GVD_TESTS_BASE_DIR)/..
include $(BASE_DIR)/Makefile.gvd

GVD_TESTS_SRC_DIRS = $(GVD_TESTS_BASE_DIR)
SRC_DIRS += $(GVD_TESTS_SRC_DIRS)
GVD_TESTS_OBJ_DIR = $(GVD_TESTS_BASE_DIR)/../obj
OBJ_DIR = $(GVD_TESTS_OBJ_DIR)

CFLAGS = -g -O2

PROJECT_FILE = gvd_tests

test: all
	$(CC) -g -o $(OBJ_DIR)/parse_c $(GVD_TESTS_SRC_DIRS)/parse_c.c
	$(CXX) -g -o $(OBJ_DIR)/parse_cpp $(GVD_TESTS_SRC_DIRS)/parse_cpp.cc \
		    $(GVD_TESTS_SRC_DIRS)/parse_cpp_f.cc

ifeq ($(GVD_TESTS_ROOT),True)
   include ../../builder/src/Makefile.generic
else
   DEPS_PROJECTS += $(GVD_TESTS_BASE_DIR)/gvd_tests
endif

endif
